﻿using System;
using System.Collections;
namespace CountingProxy.Ejm1
{
    public class OrderProxy : OrderIF
    {
        private int counter = 0;

        public ArrayList GetAllOrders()
        {
            Order order = new Order();
            counter++;

            long t1 = DateTime.Now.ToFileTime();
            ArrayList v = order.GetAllOrders();
            long t2 = DateTime.Now.ToFileTime();
            long timeDiff = t2 - t1;
            String msg = "Iteration=" + counter + "::Time=" + timeDiff + "ns";

            // log the message
            NewFileUtil fileUtil = new NewFileUtil();
            fileUtil.WriteToFile(msg, "log.txt");
            return v;
        }
    }
}
